Subject: bug#46773: 28.0.50; Different heights for toolbar

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 27 Feb 2021 15:20:28 +0100

Eli Zaretskii <[email-masked]> writes:

> If we can do that, yes.  I assumed that the font used by the GTK tool
> bar is not our default font, is it?  If it isn't, how can we know its
> size?

Oh, yeah, I'd forgotten that we leave all that to the toolkit.  So
that's no good.  We could use heuristics -- that is, look at the default
font size and try to size up the min height based on that.  Not very
satisfactory, though.

This reminds me of bug#40978, which is about scaling images in toolbars
and the like based on the same heuristics as we do for in-buffer images
-- I was somewhat leery about going down that path because the
repercussions seem unpredictable, but that would probably have fixed
what I'm seeing in this bug report...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no